Package nl.tudelft.simulation.examples.dsol.dess

# Class Distance

java.lang.Object
org.djutils.event.EventProducer
nl.tudelft.simulation.jstats.ode.DifferentialEquation
nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquation<Double,​Double,​SimTimeDouble>
nl.tudelft.simulation.examples.dsol.dess.Distance

All Implemented Interfaces:
  `Serializable`, `EventListener`, `DifferentialEquationInterface`, `DifferentialEquationInterface`, `org.djutils.event.EventListenerInterface`, `org.djutils.event.EventProducerInterface`

    public class Distance
    extends DifferentialEquation<Double,​Double,​SimTimeDouble>

Copyright (c) 2002-2020 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved.

See for project information www.simulation.tudelft.nl.

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

## Field Summary

### Fields inherited from class nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquation

`previousX, previousY, simulator`

### Fields inherited from class nl.tudelft.simulation.jstats.ode.DifferentialEquation

`lastX, lastY, stepSize`

### Fields inherited from class org.djutils.event.EventProducer

`eventProducerImpl`

### Fields inherited from interface nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquationInterface

`FUNCTION_CHANGED_EVENT, VALUE_CHANGED_EVENT`

### Fields inherited from interface org.djutils.event.EventProducerInterface

`FIRST_POSITION, LAST_POSITION`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Distance​(DESSSimulatorInterface.TimeDouble simulator)` | constructs a new Distance.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`double[]` | `dy​(double x, double[] y)`
`Serializable` | `getSourceId()`

### Methods inherited from class nl.tudelft.simulation.dsol.formalisms.dess.DifferentialEquation

`initialize, notify`

### Methods inherited from class nl.tudelft.simulation.jstats.ode.DifferentialEquation

`getIntegrator, integrateY, setIntegrator, y`

### Methods inherited from class org.djutils.event.EventProducer

`addListener, addListener, addListener, addListener, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, fireTimedEvent, getEventTypesWithListeners, getListenerReferences, hasListeners, numberOfListeners, removeAllListeners, removeAllListeners, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface nl.tudelft.simulation.jstats.ode.DifferentialEquationInterface

`y`

## Constructor Details

### Distance

public Distance​(DESSSimulatorInterface.TimeDouble simulator) throws RemoteException
constructs a new Distance.

Parameters:
  `simulator` - DESSSimulatorInterface.TimeDouble; the simulator
Throws:
  `RemoteException` - on network error

## Method Details

### dy

public double[] dy​(double x, double[] y)

### getSourceId

public Serializable getSourceId()

Specified by:
  `getSourceId` in interface `org.djutils.event.EventProducerInterface`
Specified by:
  `getSourceId` in class `org.djutils.event.EventProducer`